PAGENAMEE works only with 7bit characters in <nowiki>{{localurl:{{NAMESPACE}}:{{PAGENAMEE}}}}</nowiki>
Closed, DeclinedPublic

Description

Author: gangleri

Description:
Dear friends,

This is an analysis about the usage of the following templates:
[[en:Template:CategoryTOC]]
[[commons:Template:CategoryTOC]]
[[de:Vorlage:KategorieTOC]]
[[eo:Ŝablono:TOCcatTEST]]
[[hu:Sablon:CatAZ]]
[[ro:Format:TOCcatTEST]]

As you can see at
http://ro.wikipedia.org/wiki/Discu%C5%A3ie_Format:TOCcat#known_problems
the links for [[en:]], [[commons:]] etc. examples will fail.

PAGENAMEE will NOT work with Latin-1 characters in localurl.

workaround

As described at
[[en:User talk:Patrick#question about localurl.2C PAGENAME.2C PAGENAMEE|en:User
talk:Patrick#question about localurl, PAGENAME, PAGENAMEE]]
[[en:User talk:Patrick#answer regarding localurl.2C PAGENAME.2C
PAGENAMEE|en:User talk:Patrick#answer regarding localurl, PAGENAME, PAGENAMEE]]

there is a workaround using PAGENAME. The question is if this is a bug and if
the workaround is stable.

Best regards Reinhardt [[user:gangleri]]


Version: unspecified
Severity: normal
OS: Windows XP
Platform: PC
URL: http://ro.wikipedia.org/wiki/Discu%C5%A3ie_Format:TOCcat#known_problems

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz1649.
bzimport created this task.Via LegacyMar 7 2005, 12:25 PM
brion added a comment.Via ConduitMar 7 2005, 10:26 PM

Nowhere above do I see a description of the problem, or an actual example of a
link which is said to be wrong and a description of what's wrong with it. None of
the links I followed from the above links appeared to have anything wrong with
them.

Please provide this basic information and reopen the bug.

bzimport added a comment.Via ConduitMar 8 2005, 1:46 AM

gangleri wrote:

a) please click on M in the navigation template on
http://commons.wikimedia.org/w/index.php?title=Category:Baden-W%C3%BCrttemberg&oldid=99290

b) please click on A in the navigation template on
http://en.wikipedia.org/w/index.php?title=Category:Bah%E1%27%ED&oldid=10893695

c) please click on N in the navigation template on
http://eo.wikipedia.org/wiki/Kategoria_diskuto:Urboj_de_%C4%88e%C4%A5io

Thanks in advance!

brion added a comment.Via ConduitMar 8 2005, 2:02 AM

Isolated problem to use of {{PAGENAMEE}} input to {{localurl:}}. Sample:

  • {{localurl::Test2é}}
    • ^ renders as a URL path, such as /rel1.4/index.php/Test2%C3%A9
  • {{localurl::Test2%C3%A9}}
    • ^ renders as raw source text

The reason for this is that {{localurl:}] expects a valid page title, and
outputs the relative path to its view URL -- which is URL-escaped on
output. By pre-escaping its input you are making an invalid page title,
which is rejected.

You should use {{PAGENAME}} here., not {{PAGENAMEE}}.

bzimport added a comment.Via ConduitJun 11 2005, 4:05 AM

gangleri wrote:

This bug was a misunderstanding about what PAGENAMEE is.

Originaly I believed that the only difference to PAGENAME is that spaces are
replaced with underscores.

This is not the case. PAGENAMEE make a lot of character conversions and can be
used in the parameter part of localurl.

Best regards Reinhardt

bzimport added a comment.Via ConduitJun 11 2005, 9:30 AM

gangleri wrote:

added some comments at
[[meta:Help:Pagename#Variables PAGENAME and PAGENAMEE]] and
[[meta:Help:ĀāĆćĎďĒēĜĝĤĥĨĩĴĵĹĺŃń and PAGENAMEE]]

  • marking as closed ***
bzimport added a comment.Via ConduitOct 4 2005, 12:30 PM

gangleri wrote:

just a test of rendering in MediaZilla

[[meta:Help:ĀāĆćĎďĒēĜĝĤĥĨĩĴĵĹĺŃń and PAGENAMEE]]
[[meta:Help:ĀāĆćĎďĒēĜĝĤĥĨĩĴĵĹĺŃń_and_PAGENAMEE]]

both should generate links to meta

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.